﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Security.Cryptography;

namespace SymmetricKeys
{
    class Program
    {
        static void Main(string[] args)
        {
            // 16 bit schlüssel
            Console.WriteLine(Convert.ToBase64String(CreateKey(16)));

            // 32 bit schlüssel
            Console.WriteLine(Convert.ToBase64String(CreateKey(32)));
        }

        static void BadBadBad()
        {
            Random rnd = new Random(1234);
            for (int i = 0; i < 10; i++)
            {
                Console.WriteLine(rnd.Next(100));
            }
        }


        static byte[] CreateKey(int length)
        {
            byte[] key = new byte[length];

            // zufälligen schlüssel erzeugen
            new RNGCryptoServiceProvider().GetBytes(key);

            return key;
        }
    }
}
